apiVersion: v1
kind: Pod
metadata:
  namespace: app-web
  name: my-app
  labels:
    app: my-app
    apptype: frontend
spec:
  containers:
  - name: nginx-container
    image: nginx
    ports:
    - containerPort:  80
      name:  http
---
apiVersion: v1
kind: Service
metadata:
  namespace: app-web
  name: service-lb
spec:
  type: LoadBalancer
  ports:
    - port: 80
      targetPort: 80
      nodePort: 30999
  selector:
    app: my-app
    apptype: frontend
